Bug 235619 - databases/py-pg8000 1.13.0 requires python3
Summary: databases/py-pg8000 1.13.0 requires python3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-09 13:06 UTC by Axel.Rau
Modified: 2019-02-14 17:44 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (wen)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel.Rau 2019-02-09 13:06:07 UTC
pg8000 1.13.0 requires python3.
On python2.7 various import errors happen, like:
---
  File "/usr/local/lib/python2.7/site-packages/pg8000/pg_scram.py", line 1, in <module>
    from passlib.hash import scram
ImportError: No module named passlib.hash
---
  File "/usr/local/lib/python2.7/site-packages/pg8000/core.py", line 23, in <module>
    from datetime import timezone as Timezone
ImportError: cannot import name timezone
---
From setup.py:
---
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: BSD License",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: Implementation",
        "Programming Language :: Python :: Implementation :: CPython",
        "Programming Language :: Python :: Implementation :: Jython",
        "Programming Language :: Python :: Implementation :: PyPy",
        "Operating System :: OS Independent",
        "Topic :: Database :: Front-Ends",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],
---

pg8000 1.12.5 should run on python2.7:

    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: BSD License",
        "Programming Language :: Python",
        "Programming Language :: Python :: 2",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: Implementation",
        "Programming Language :: Python :: Implementation :: CPython",
        "Programming Language :: Python :: Implementation :: Jython",
        "Programming Language :: Python :: Implementation :: PyPy",
        "Operating System :: OS Independent",
        "Topic :: Database :: Front-Ends",
        "Topic :: Software Development :: Libraries :: Python Modules",
Comment 1 Axel.Rau 2019-02-12 14:34:59 UTC
This breaks www/calendarserver .
wen@ why did you move to that fork of pg8000 ?
Comment 2 Wen Heping freebsd_committer 2019-02-12 23:13:22 UTC
(In reply to Axel.Rau from comment #1)
Sorry for the break.
I shall repocopy it to pg8000-py27 and downgrade it.

wen
Comment 3 Wen Heping freebsd_committer 2019-02-14 10:03:30 UTC
(In reply to Axel.Rau from comment #1)

I repocopy databases/py-pg8000 --> databases/py-pg8000-112 and update www/calendarserver depends, would you have a test of it ?

Thanks !

wen
Comment 4 Axel.Rau 2019-02-14 17:44:15 UTC
Tests of py27-calendarserver-9.1_2 passed!
Thanks.